:li
/* icheck.h
 * ===============================================================
 * Macros for Parsing Input with "sscanf"
 * Martin Weitzel, Darmstadt
 * ===============================================================
*/

#ifndef ICHECK_h
#define ICHECK_h

static char CHK_[2];	/* dummy buffer for terminating '\n'*/
#define CHK0(b, f)\
	(sscanf(b, f "%1[\n]", CHK_) == 1)
#define CHK1(b, f, p1)\
	(sscanf(b, f "%1[\n]", p1, CHK_) == 2)
#define CHK2(b, f, p1, p2)\
	(sscanf(b, f "%1[\n]", p1, p2, CHK_) == 3)
#define CHK3(b, f, p1, p2, p3)\
	(sscanf(b, f "%1[\n]", p1, p2, p3, CHK_) == 4)
#define CHK4(b, f, p1, p2, p3, p4)\
	(sscanf(b, f "%1[\n]", p1, p2, p3, p4, CHK_) == 5)

#endif
