:li
/* wsumm3.c
 Waehrungsbetraege summieren, 3. Versuch (95/05/02)
*/

#include <stdio.h>

#include "wtab.h"

#include "icheck.h"

int main(void)		/* -- Hauptprogramm */
{
	char line[80];		/* Zeilenpuffer */
	WTAB *p = (WTAB *)0;	/* Tabelleneintrag */

	while (fgets(line, sizeof line, stdin)) {
		char w[MAX_WKZ];/* gel. Waehrungskennz. */
		float b;	/* gel. Betrag */

		if (CHK0(line, "") 	/* Leerzeile */
		 || CHK0(line, "#")	/* Kommentarzeile */
		 || CHK0(line, "#%*[^\n]")) {
			continue;
		}

		/* Waehrungskennzeichen und Betrag */
		if ((CHK2(line, "%3s%f", w, &b)
		  || CHK2(line, "%f%3s", &b, w))
		 && (p = wtabfind(w)) != (WTAB *)0) {
			p->sum += b;
			continue;
		}

		/* nur Betrag !vor "nur Waehrungskennz."! */
		if (CHK1(line, "%f", &b)
		 && p != (WTAB *)0) {
			p->sum += b;
			continue;
		}

		/* nur Waehrungskennz. !nach "nur Betrag"! */
		if (CHK1(line, "%3s", w)
		 && (p = wtabfind(w)) != (WTAB *)0) {
			continue;
		}

		(void) fprintf(stderr, "?? %s", line);
	}
	for (p = wtab; p->wkz[0]; ++p)
		(void) printf("%s %10.2f\n", p->wkz, p->sum);

	return 0;
}
