:li

/* wsumm2.c
 * Waehrungsbetraege summieren, 2. Versuch (95/05/02)
*/

#include <stdio.h>

#include "wtab.h"

int main(void)		/* -- Hauptprogramm */
{
	char line[80];		/* Zeilenpuffer */
	WTAB *p;		/* Tabelleneintrag */

	while (fgets(line, sizeof line, stdin)) {
		char w[MAX_WKZ];/* gel. Waehrungskennz. */
		float b;	/* gel. Betrag */
		if (sscanf(line, "%3s%f", w, &b) == 2) {
			if ((p = wtabfind(w)) != (WTAB *)0) {
				p->sum += b;
				continue;
			}
		}
		if (line[0] != '#' && line[0] != '\n')
			(void) fprintf(stderr, "?? %s", line);
	}
	for (p = wtab; p->wkz[0]; ++p)
		(void) printf("%-3s %10.2f\n", p->wkz, p->sum);

	return 0;
}
